#include <sys/types.h>
#include <stdio.h>
#include <dhcp4_nic.h>

int main(int argc, char **argv, char **envp)
{
    NLH_t nh = nic_open(nic_stderr_logger);
    nic_set_loglevel(nh,7);
    DHCPv4_control *ctl =  
	dhcpv4_control
	(nh, "eth0", 0, 10, libdhcp_stderr_logger, LOG_DEBUG, 0);
    nic_set_va_logger(nh, (NIC_VA_Error_Handler_t)libdhcp_stderr_logger, ctl);
    DHCPv4_nic *dhcNIC =
	do_dhcpv4(ctl);
    return dhcpv4_nic(nh, dhcNIC);
}
