#include <sys/types.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <pump.h>

int main( int argc, char **argv, char **envp)
{
    struct pumpNetIntf ifx =
    {
	.device    = "eth0",
	.ip        = ip_addr_text("192.168.2.5"),
	.netmask   = ip_addr_text("255.255.255.0"),
	.broadcast = ip_addr_text("192.168.2.255"),
	.gateway   = ip_addr_text("192.168.2.1")
    };
    
    char *s = pumpSetupInterface(&ifx);
    if ( s != 0L )
    {
	printf("%s\n",s);
	return 1;
    }
    return 0;
}
